//  Beispiel 17: HTTP Daten von Internetseite holen und anzeigen
//
//  Unter Verwendung der IoT Brick Library

#include <all_IoT.h>
#include <ESP8266HTTPClient.h>


void setup()
{
  IoT_Init(true);
  IoT_TerminalWaitInit(true);
  IoT_WLANautoConnect(true);                                        // Verbindung, ggf. gespeicherte, über WLAN herstellen
}

void loop()
{
  String page = "http://www.brickrknowledge.de";
  HTTPClient http;
  //http.begin(page, "7a 9c f4 db 40 d3 62 5a 6e 21 bc 5c cc 66 c8 3e a1 45 59 38"); //HTTPS
  http.begin(page); //HTTP
  int httpCode = http.GET();  // start connection and send HTTP header
  Serial.print("HTTP GET Result: " + str(httpCode) + ", Length = ");
  if (httpCode > 0)  // httpCode will be negative on error
  {   // HTTP header has been send and Server response header has been handled
    if (httpCode > 0)
    {
      String payload = http.getString();
      int L = len(payload);
      Serial.println(str(L));
      Serial.println(fillcenter(" " + page + " ", "-", 80) + chr(8));
      for (int i = 0; i < L; i++)
      {
        int c = payload[i];
        if (c == 10)
        {
          c = 13;
        }
        Serial.print(chr(c));
      }
      Serial.println(repeatstr("-", 80) + chr(8));
    }
  }
  else
  {
    Serial.println("0, Error Message: " + http.errorToString(httpCode));
  }
  http.end();
  IoT_ShutDown();
}
